List Scaleway Image Tags
curl --request GET \
--url https://api.example.com/integrations/scaleway/container-registry/project/{projectId}/credentials/{credentialId}/images/{imageId}/tagsimport requests
url = "https://api.example.com/integrations/scaleway/container-registry/project/{projectId}/credentials/{credentialId}/images/{imageId}/tags"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/integrations/scaleway/container-registry/project/{projectId}/credentials/{credentialId}/images/{imageId}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/integrations/scaleway/container-registry/project/{projectId}/credentials/{credentialId}/images/{imageId}/tags",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/integrations/scaleway/container-registry/project/{projectId}/credentials/{credentialId}/images/{imageId}/tags"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/integrations/scaleway/container-registry/project/{projectId}/credentials/{credentialId}/images/{imageId}/tags")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/integrations/scaleway/container-registry/project/{projectId}/credentials/{credentialId}/images/{imageId}/tags")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"imageName": "my-api",
"tags": [
{
"tagId": "d4e5f6a7-b8c9-0123-def0-234567890123",
"name": "v1.2.0",
"digest": "sha256:abc123...",
"size": 134217728,
"status": "ready",
"createdAt": "2026-03-15T09:00:00.000Z",
"updatedAt": "2026-03-15T09:00:00.000Z"
},
{
"tagId": "e5f6a7b8-c9d0-1234-ef01-345678901234",
"name": "latest",
"digest": "sha256:abc123...",
"size": 134217728,
"status": "ready",
"createdAt": "2026-03-15T09:00:00.000Z",
"updatedAt": "2026-03-15T09:00:00.000Z"
}
],
"totalCount": 5,
"page": 1,
"pageSize": 20
}
}
Scaleway
List Scaleway Image Tags
List tags for a specific Docker image in Scaleway Container Registry
GET
/
integrations
/
scaleway
/
container-registry
/
project
/
{projectId}
/
credentials
/
{credentialId}
/
images
/
{imageId}
/
tags
List Scaleway Image Tags
curl --request GET \
--url https://api.example.com/integrations/scaleway/container-registry/project/{projectId}/credentials/{credentialId}/images/{imageId}/tagsimport requests
url = "https://api.example.com/integrations/scaleway/container-registry/project/{projectId}/credentials/{credentialId}/images/{imageId}/tags"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/integrations/scaleway/container-registry/project/{projectId}/credentials/{credentialId}/images/{imageId}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/integrations/scaleway/container-registry/project/{projectId}/credentials/{credentialId}/images/{imageId}/tags",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/integrations/scaleway/container-registry/project/{projectId}/credentials/{credentialId}/images/{imageId}/tags"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/integrations/scaleway/container-registry/project/{projectId}/credentials/{credentialId}/images/{imageId}/tags")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/integrations/scaleway/container-registry/project/{projectId}/credentials/{credentialId}/images/{imageId}/tags")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"imageName": "my-api",
"tags": [
{
"tagId": "d4e5f6a7-b8c9-0123-def0-234567890123",
"name": "v1.2.0",
"digest": "sha256:abc123...",
"size": 134217728,
"status": "ready",
"createdAt": "2026-03-15T09:00:00.000Z",
"updatedAt": "2026-03-15T09:00:00.000Z"
},
{
"tagId": "e5f6a7b8-c9d0-1234-ef01-345678901234",
"name": "latest",
"digest": "sha256:abc123...",
"size": 134217728,
"status": "ready",
"createdAt": "2026-03-15T09:00:00.000Z",
"updatedAt": "2026-03-15T09:00:00.000Z"
}
],
"totalCount": 5,
"page": 1,
"pageSize": 20
}
}
Path Parameters
string
required
The UUID of the project
string
required
The UUID of the stored credential
string
required
The Scaleway image UUID
Query Parameters
number
Page number (1-based). Default:
1number
Number of items per page. Default:
20Authorization
Requiresread permission on the project.
Response
boolean
Whether the request succeeded
object
Show Tags Response
Show Tags Response
string
The image name
array
number
Total number of tags
number
Current page number
number
Items per page
{
"success": true,
"data": {
"imageName": "my-api",
"tags": [
{
"tagId": "d4e5f6a7-b8c9-0123-def0-234567890123",
"name": "v1.2.0",
"digest": "sha256:abc123...",
"size": 134217728,
"status": "ready",
"createdAt": "2026-03-15T09:00:00.000Z",
"updatedAt": "2026-03-15T09:00:00.000Z"
},
{
"tagId": "e5f6a7b8-c9d0-1234-ef01-345678901234",
"name": "latest",
"digest": "sha256:abc123...",
"size": 134217728,
"status": "ready",
"createdAt": "2026-03-15T09:00:00.000Z",
"updatedAt": "2026-03-15T09:00:00.000Z"
}
],
"totalCount": 5,
"page": 1,
"pageSize": 20
}
}